org.apache.mina.filter.codec

## Class AbstractProtocolDecoderOutput

- java.lang.Object
- - org.apache.mina.filter.codec.AbstractProtocolDecoderOutput

- All Implemented Interfaces:
    ProtocolDecoderOutput

      public abstract class AbstractProtocolDecoderOutput
      extends Object
      implements ProtocolDecoderOutput

  A `ProtocolDecoderOutput` based on queue.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProtocolDecoderOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Queue<Object>` | `getMessageQueue()`
    `void` | `write(Object message)` Callback for `ProtocolDecoder` to generate decoded messages.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.filter.codec.ProtocolDecoderOutput

      `flush`

- - ### Constructor Detail

    - #### AbstractProtocolDecoderOutput

          public AbstractProtocolDecoderOutput()

  - ### Method Detail

    - #### getMessageQueue

          public Queue<Object> getMessageQueue()

    - #### write

          public void write(Object message)

      Description copied from interface: `ProtocolDecoderOutput`
      Callback for `ProtocolDecoder` to generate decoded messages. `ProtocolDecoder` must call `ProtocolDecoderOutput.write(Object)` for each decoded messages.
      Specified by:
        `write` in interface `ProtocolDecoderOutput`
      Parameters:
        `message` - the decoded message

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.